# Generated by go2rpm
%bcond_without check

# https://github.com/pquerna/ffjson
%global goipath         github.com/pquerna/ffjson
%global commit          e517b90714f7c0eabe6d2e570a5886ae077d6db6

%gometa

%global common_description %{expand:
Ffjson generates static MarshalJSON and UnmarshalJSON functions for structures
in Go. The generated functions reduce the reliance upon runtime reflection to do
serialization and are generally 2 to 3 times faster. In cases where ffjson
doesn't understand a Type involved, it falls back to encoding/json, meaning it
is a safe drop in replacement. By using ffjson your JSON serialization just gets
faster with no additional code changes.}

%global golicenses      LICENSE NOTICE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        0.3%{?dist}
Summary:        Faster JSON serialization for Go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/gofuzz)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
rm -rf tests/types/ff

%build
%gobuild -o %{gobuilddir}/bin/ffjson %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# https://github.com/pquerna/ffjson/issues/238
%gocheck -d tests
%endif

%files
%license LICENSE NOTICE
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 17 19:00:07 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190701gite517b90
- Initial package
